# Generated by Django 4.0.3 on 2022-04-21 08:03

import wagtail.blocks
import wagtail.contrib.table_block.blocks
import wagtail.fields
from django.db import migrations


class Migration(migrations.Migration):
    dependencies = [
        ("district", "0054_alter_districtcenterpage_content_and_more"),
    ]

    operations = [
        migrations.AlterField(
            model_name="districtcenterpage",
            name="content",
            field=wagtail.fields.StreamField(
                [
                    ("text", wagtail.blocks.RichTextBlock()),
                    ("table", wagtail.contrib.table_block.blocks.TableBlock()),
                ],
                blank=True,
                verbose_name="Obsah",
            ),
        ),
        migrations.AlterField(
            model_name="districtcustompage",
            name="content",
            field=wagtail.fields.StreamField(
                [
                    ("text", wagtail.blocks.RichTextBlock()),
                    ("table", wagtail.contrib.table_block.blocks.TableBlock()),
                    (
                        "people_group",
                        wagtail.blocks.StructBlock(
                            [
                                (
                                    "group_title",
                                    wagtail.blocks.CharBlock(
                                        label="Titulek", required=True
                                    ),
                                ),
                                (
                                    "person_list",
                                    wagtail.blocks.ListBlock(
                                        wagtail.blocks.PageChooserBlock(
                                            label="Osoba",
                                            page_type=[
                                                "district.DistrictPersonPage",
                                            ],
                                        ),
                                        label="List osob",
                                    ),
                                ),
                            ]
                        ),
                    ),
                ],
                blank=True,
                verbose_name="Obsah",
            ),
        ),
        migrations.AlterField(
            model_name="districtprogrampage",
            name="content",
            field=wagtail.fields.StreamField(
                [
                    (
                        "static_program_block",
                        wagtail.blocks.StructBlock(
                            [
                                (
                                    "headline",
                                    wagtail.blocks.CharBlock(
                                        label="Titulek bloku", required=True
                                    ),
                                ),
                                (
                                    "perex",
                                    wagtail.blocks.TextBlock(
                                        label="Krátký text pod nadpisem", required=True
                                    ),
                                ),
                                (
                                    "person",
                                    wagtail.blocks.PageChooserBlock(
                                        label="Garant",
                                        page_type=["district.DistrictPersonPage"],
                                    ),
                                ),
                                (
                                    "completion_percentage",
                                    wagtail.blocks.IntegerBlock(
                                        label="Procento dokončení", required=True
                                    ),
                                ),
                                (
                                    "program_items",
                                    wagtail.blocks.ListBlock(
                                        wagtail.blocks.StructBlock(
                                            [
                                                (
                                                    "title",
                                                    wagtail.blocks.CharBlock(
                                                        label="Název", required=True
                                                    ),
                                                ),
                                                (
                                                    "completion_percentage",
                                                    wagtail.blocks.IntegerBlock(
                                                        label="Procento dokončení",
                                                        required=True,
                                                    ),
                                                ),
                                            ]
                                        ),
                                        label="Seznam bodů",
                                    ),
                                ),
                            ]
                        ),
                    ),
                    (
                        "redmine_program_block",
                        wagtail.blocks.StructBlock(
                            [
                                (
                                    "headline",
                                    wagtail.blocks.CharBlock(
                                        label="Titulek bloku", required=True
                                    ),
                                ),
                                (
                                    "perex",
                                    wagtail.blocks.TextBlock(
                                        label="Krátký text pod nadpisem", required=True
                                    ),
                                ),
                                (
                                    "person",
                                    wagtail.blocks.PageChooserBlock(
                                        label="Garant",
                                        page_type=["district.DistrictPersonPage"],
                                    ),
                                ),
                                (
                                    "redmine_issue",
                                    wagtail.blocks.IntegerBlock(
                                        label="Číslo Redmine issue", required=True
                                    ),
                                ),
                                (
                                    "completion_percentage",
                                    wagtail.blocks.IntegerBlock(
                                        help_text="Hodnota se automaticky načte s Redmine",
                                        label="Procento dokončení - bude doplněno automaticky",
                                        required=False,
                                    ),
                                ),
                                (
                                    "program_items",
                                    wagtail.blocks.ListBlock(
                                        wagtail.blocks.StructBlock(
                                            [
                                                (
                                                    "title",
                                                    wagtail.blocks.CharBlock(
                                                        label="Název", required=True
                                                    ),
                                                ),
                                                (
                                                    "completion_percentage",
                                                    wagtail.blocks.IntegerBlock(
                                                        label="Procento dokončení",
                                                        required=True,
                                                    ),
                                                ),
                                            ]
                                        ),
                                        help_text="Hodnota se automaticky načte s Redmine",
                                        label="Seznam bodů - bude doplněno automaticky",
                                        required=False,
                                    ),
                                ),
                            ]
                        ),
                    ),
                ],
                blank=True,
                verbose_name="obsah stránky",
            ),
        ),
    ]
